%global momorel 2

Summary: 	XFce4 extras component
Name: 		xfce4-extras
Version: 	4.2.3
Release: 	%{momorel}m
URL: 		http://www.xfce.org/
%global baseuri http://www.xfce.org/archive/xfce-%{version}/src
Source0: %{baseuri}/xfcalendar-%{version}.tar.gz
NoSource: 0
Source2: %{baseuri}/xfce4-iconbox-%{version}.tar.gz
NoSource: 2
Source3: %{baseuri}/xfce4-mixer-%{version}.tar.gz
NoSource: 3
Source4: %{baseuri}/xfce4-systray-%{version}.tar.gz
NoSource: 4
Source5: %{baseuri}/xfce4-toys-%{version}.tar.gz
NoSource: 5
Source6: %{baseuri}/xfce4-trigger-launcher-%{version}.tar.gz
NoSource: 6
Source12: %{baseuri}/xfwm4-themes-%{version}.tar.gz
NoSource: 12

License: 	BSD and GPL and "custom"
BuildRequires:  xfce4-panel >= %{version}
BuildRequires:  libxfcegui4-devel >= %{version}
BuildRequires:  libxfce4mcs-devel >= %{version}
BuildRequires:  gtk+-devel >= 2.4.0
BuildRequires:  libxml2-devel
BuildRequires:  pkgconfig
BuildRequires:  startup-notification-devel
BuildRequires:  desktop-file-utils

Group: 		User Interface/Desktops
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

%description 
There are a number of additional packages 
that are not part of the main desktop 
that provide themes or extra functionality.
Some of them are part of the official XFce 4 release, 
others are under development and can be downloaded from SourceForge CVS.

%package -n xfce4-mixer
Summary:        Volume control plugin for the XFce 4 panel
License:        BSD
Group:          User Interface/Desktops
Requires:       xfce4-panel >= %{version}
Requires:       startup-notification

%description -n xfce4-mixer
xfce4-mixer is the volume control plugin for the XFce 4 panel. Includes a
simple sound mixer.

%package -n xfce4-systray
Summary:        Systray for the XFce4 Desktop Environment
License:        GPL
Group:          User Interface/Desktops
Requires:       xfce4-panel >= %{version}

%description -n xfce4-systray
This is a systemtray plugin for xfce4.

%package -n xfce4-toys
Summary:        Various toys related to XFce4.
License:        GPL
Group:          User Interface/Desktops
Requires:       xfce4-panel >= %{version}

%description -n xfce4-toys
Various toys related to XFce4.

%package -n xfce4-trigger-launcher
Summary:        A panel plugin acting as a launcher with two states.
License:        BSD
Group:          User Interface/Desktops
Requires:       xfce4-panel >= %{version}

%description -n xfce4-trigger-launcher
xfce4-trigger-launcher is a launcher with two states, like a trigger.

%package -n xfce4-iconbox
Summary:        Icon box for the XFce4 Desktop Environment
License:        GPL
Group:          User Interface/Desktops

%description -n xfce4-iconbox
xfce-iconbox shows icons for running programs.

%package -n xfwm4-themes
Summary:        Additionnal themes for xfwm4
License:        GPL
Group:          User Interface/Desktops
Requires:       xfwm4 >= %{version}

%description -n xfwm4-themes
A set of additionnal themes for the xfwm4 window manager.

%package -n xfcalendar
Summary: Manage your time with XFce4
Group:  User Interface/Desktops
License: GPL

%description -n xfcalendar
Time-managing application for the XFce desktop environment.

%prep
%setup -q -c -a 0 -a 2 -a 3 -a 4 -a 5 -a 6 -a 12

%build
for i in xfce4-mixer xfce4-systray \
 xfce4-toys  xfce4-trigger-launcher  xfce4-iconbox \
 xfwm4-themes xfcalendar
do
  pushd ${i}-%{version}
  ./configure --prefix=%{_prefix} --libdir=%{_libdir} --mandir=%{_mandir} --sysconfdir=%{_sysconfdir}
  make
  popd
done

%install
rm -rf %{buildroot}
for i in xfce4-mixer  xfce4-systray \
 xfce4-toys  xfce4-trigger-launcher  xfce4-iconbox \
 xfwm4-themes xfcalendar
do
  pushd ${i}-%{version}
  make install DESTDIR=%{buildroot} mandir=%{_mandir} libdir=%{_libdir}
  popd
done

# install desktop file (revise xfcalendar.desktop)
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications \
  --add-only-show-in XFCE \
  --add-category X-XFCE \
  %{buildroot}%{_datadir}/applications/xfcalendar.desktop

# remove, but why?
rm -f %{buildroot}%{_libdir}/xfce4/mcs-plugins/xfcalendar_plugin.a
rm -f %{buildroot}%{_libdir}/xfce4/mcs-plugins/xfcalendar_plugin.la
rm -f %{buildroot}%{_libdir}/xfce4/mcs-plugins/xfcalendar_plugin.so

%clean
rm -rf %{buildroot}

%files -n xfce4-mixer
%defattr(-,root,root)
%doc xfce4-mixer-%{version}/{AUTHORS,COPYING,ChangeLog,INSTALL,README}
%{_bindir}/xfce4-mixer
%{_libdir}/xfce4/panel-plugins/libmixer*
%{_libdir}/xfce4/modules/*
%{_datadir}/locale/*/*/xfce4-mixer.mo
%{_datadir}/applications/xfce-mixer-settings.desktop
%{_datadir}/icons/*/*/*/xfce4-mixer.png

%files -n xfce4-systray
%defattr(-,root,root)
%doc xfce4-systray-%{version}/{AUTHORS,COPYING,ChangeLog,INSTALL,README}
%{_libdir}/xfce4/panel-plugins/libsystray*

%files -n xfce4-toys
%defattr(-,root,root)
%doc xfce4-toys-%{version}/{AUTHORS,COPYING,ChangeLog,INSTALL,README}
%{_bindir}/xfce4-tips
%{_libdir}/xfce4/panel-plugins/libeyes*
%{_datadir}/locale/*/*/xfce4-toys.mo
%{_datadir}/xfce4/eyes
%{_datadir}/xfce4/tips/*

%files  -n xfce4-trigger-launcher
%defattr(-,root,root)
%doc xfce4-trigger-launcher-%{version}/{AUTHORS,COPYING,ChangeLog,INSTALL,README}
%{_libdir}/xfce4/panel-plugins/libtriggerlauncher*
%{_datadir}/locale/*/*/xfce4-trigger-launcher.mo

%files  -n xfce4-iconbox
%defattr(-,root,root)
%doc xfce4-iconbox-%{version}/{AUTHORS,COPYING,ChangeLog,INSTALL,README}
%{_bindir}/xfce4-iconbox
%{_libdir}/xfce4/mcs-plugins/xfce4-iconbox_settings*
%{_datadir}/locale/*/*/xfce4-iconbox.mo
%{_datadir}/applications/xfce-iconbox-settings.desktop
%{_datadir}/icons/*/*/*/xfce4-iconbox.png
%{_datadir}/icons/*/*/*/xfce4-iconbox.svg

%files -n xfwm4-themes
%defattr(-,root,root)
%doc xfwm4-themes-%{version}/{AUTHORS,COPYING,ChangeLog,INSTALL,README}
%{_datadir}/themes/*/xfwm4/*

%files -n xfcalendar
%defattr(-,root,root)
%doc xfcalendar-%{version}/{AUTHORS,COPYING,ChangeLog,INSTALL,README}
%{_bindir}/xfcalendar
%{_libdir}/xfce4/mcs-plugins/sound*
%{_datadir}/locale/*/*/xfcalendar.mo
%{_datadir}/applications/xfcalendar.desktop
%{_datadir}/applications/xfce-xfcalendar-settings.desktop
%{_datadir}/icons/*/*/*/xfcalendar.png
%{_datadir}/icons/*/*/*/xfcalendar.svg

%changelog
* Mon May 29 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.2.3-2m)
- revise %%file (conflict)

* Mon Nov 21 2005 Kazuhiko <kazuhiko@fdiary.net>
- (4.2.3-1m)
- Xfce 4.2.3.2

* Fri May 20 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.2.2-1m)
- Xfce 4.2.2

* Thu Mar 17 2005 TABUCHI Takaaki <tab@momonga-linux.org>      
- (4.2.1-1m)                                                   
- Xfce 4.2.1

* Tue Feb  8 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (4.2.0-2m)
- enable x86_64.

* Mon Jan 17 2005 TABUCHI Takaaki <tab@momonga-linux.org>      
- (4.2.0-1m)                                                   
- Xfce 4.2

* Thu Jan 13 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.1.99.3-2m)
- revise xfcalendar.desktop
- BuildRequires: desktop-file-utils

* Sat Dec 25 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.1.99.3-1m)
- Xfce 4.2-RC3

* Tue Dec 14 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.1.99.2-1m)
- Xfce 4.2-RC2

* Mon Nov 15 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.1.99.1-1m)
- Xfce 4.2-RC1

* Mon Nov  1 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.1.91-1m)
- Xfce 4.2BETA2

* Thu Oct 28 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.1.90-1m)
- update to 4.1.90
- xfcalendar version was synced 
- delete xfce4-themes and xffm-icons

* Thu Jul 15 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.0.6-1m)
- minor bugfixes
- version up xfcalendar to 0.1.9


* Sun Apr 18 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (4.0.5-1m)
- version update to 4.0.5

* Sun Mar 28 2004 Toru Hoshina <t@momonga-linux.org>
- (4.0.4-3m)
- revised spec for rpm 4.2.

* Thu Mar 11 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.0.4-2m)
- update to xfcalendar-0.1.6

* Thu Mar 11 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.0.4-1m)

* Mon Jan 12 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.0.3-2m)
- s/xfce4ver/version/

* Sun Jan 11 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.0.3-1m)
- update to 4.0.3
- merge extra2
- fix changelog xfcalendar typo

* Mon Dec 22 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.0.2-1m)
- update to 4.0.2
- change xfcalendar URI
- xfcalendar-0.1.4 can not compile xfcalendar_icon

* Mon Dec 01 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.0.1-1m)
- update to 4.0.1
- update xfcalendar URI
- update sources URI
- separate xfce4-themes, xffm-icons, and xfwm4-themes sub packages
  to xfec4-extra2 for resolve old version problem
- mv Source8 to Source0, rpm requires Source0

* Mon Oct  6 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (4.0.0-1m)
- BuildRequires: xfce4-panel >= 4.0.0

* Sat Sep 27 2003 HOSONO Hidetomo <h12o@h12o.org>
- (4.0.0-1m)
- version up
- use %%NoSource (0 to 7, except 8)

* Sat Sep 13 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (3.99.4-1m)
- XFce4 RC4 release
